%if 0%{?rhel} && 0%{?rhel} <= 5
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%endif

%global pkgname odict

Name: python-odict
Version: 1.5.1
Release: 5%{?dist}
Summary: Ordered dictionary

Group: Development/Languages
License: Python
URL: http://slimit.org/
Source0: http://pypi.python.org/packages/source/o/%{pkgname}/%{pkgname}-%{version}.tar.gz
BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildArch: noarch

BuildRequires: python2-devel
BuildRequires: python-setuptools

Requires: python2

%description
Dictionary in which the insertion order of items is preserved (using an
internal double linked list). In this implementation replacing an existing
item keeps it at its original position

%prep
%setup -q -n %{pkgname}-%{version}
rm -rf %{pkgname}-%{version}*.egg-info


%build
%{__python} setup.py build

%check
# Tests are broken upstream and also require unpackaged python-interlude
# Uncomment when fixed upstream
# python setup.py test -m odict.tests

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc LICENSE.rst README.rst
%{python_sitelib}/%{pkgname}/
%{python_sitelib}/%{pkgname}-%{version}*.egg-info

%changelog
* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.1-5
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Sep 23 2013 Stephen Gallagher <sgallagh@redhat.com> - 1.5.1-1
- New upstream release 1.5.1
- Implement __copy__ and __deepcopy__ in order to work with Python 2.7
- Use try/except instead of in in __contains__

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Oct 04 2012 Stephen Gallagher <sgallagh@redhat.com> - 1.5.0-4
- Spec changes from package review
- %%check section reordered
- Minor edits to comments

* Thu Oct 04 2012 Stephen Gallagher <sgallagh@redhat.com> - 1.5.0-3
- Spec changes from package review
- Add %%clean section
- Explain why the test suite is not run

* Thu Oct 04 2012 Stephen Gallagher <sgallagh@redhat.com> - 1.5.0-2
- Spec changes from package review
- Add support for EPEL5
- Use %%{pkgname} instead of hard-coding odict


* Wed Oct 03 2012 Stephen Gallagher <sgallagh@redhat.com> - 1.5.0-1
- Initial release
